---
version: 5

defaults:  # Used for any hierarchy level that omits these keys.
  datadir: data         # This path is relative to hiera.yaml's directory.
  lookup_key: eyaml_lookup_key # eyaml backend

hierarchy:
  - name: "Environment"
    path: "environment/%{::environment}.yaml"

  - name: "OS family"
    path: "os/%{facts.os.family}.yaml"

  - name: 'common'
    path: 'common.yaml'
